{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    "version": "0.2.0",
    "configurations": [
      {
        "type": "node",
        "request": "launch",
        "name": "Launch Program",
        "skipFiles": [
          "<node_internals>/**"
        ],
        "program": "${workspaceFolder}/experience/src/remote-bootstrap-xp.ts", 
        "args": ["remote"],
        "runtimeArgs": [
          "--preserve-symlinks", 
          "--experimental-modules", 

          //  even though we use ES modules, we want nodejs module resolution rules. 
          //  TODO why? can we get rid of it? 
          "--experimental-specifier-resolution=node"
        ],   

        //  these are necessary for breakpoints in .ts files 
        //  (rather than in transpiled .js files) to work. 
        "outFiles": [
          "${workspaceFolder}/experience/.ts-out/**/*.js"
        ], 

        "cwd": "${workspaceFolder}/experience"
      }
    ]
  }
  